Bug 56068 - linked against a library we aren't shipping
linked against a library we aren't shipping
Product: Red Hat Raw Hide
Classification: Retired
Component: linc (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Havoc Pennington
Depends On:
  Show dependency treegraph
Reported: 2001-11-12 08:42 EST by Bernhard Rosenkraenzer
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-11-12 15:34:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bernhard Rosenkraenzer 2001-11-12 08:42:58 EST
linc in the dist-8.0 tree is linked against libglib-1.3.so.7; glib2 
provides libglib-1.3.so.8.
Comment 1 Havoc Pennington 2001-11-12 14:17:13 EST
$ rpm -qp --requires


I'm pretty sure 8.0 derives from 7.2-gnome now, doesn't it?

Anyhow, the linc in dist-8.0 is ancient, it should be deleted if we aren't
inheriting from 7.2-gnome automatically.
Comment 2 Bernhard Rosenkraenzer 2001-11-12 14:51:51 EST
dist-8.0 probably does inherit from dist-7.2-gnome, but:
- anything ever built in dist-8.0 overrides any newer package in
  dist-7.2-gnome, you want to remove the package in dist-8.0
- dist-8.0 has a different major-number libpng, so the dist-7.2-gnome
  binaries won't work on dist-8.0 unless the compat package is installed.
  You might want to add the current libpng to dist-7.2-gnome, unless you
  intend to use it to release errata.

Comment 3 Havoc Pennington 2001-11-12 15:34:47 EST
OK, I'll remove the dist-8.0 linc, or feel free to do so. 

We are utterly fucked on libpng - I don't have a clue what to do there. Even in
final 8.0 I need to have a working GNOME 1.4 build environment that links to old
libpng. I don't think we should have upgraded libpng before figuring out how to
solve this issue.
Comment 4 Havoc Pennington 2001-12-02 12:07:51 EST
Cleaned up now.

Note You need to log in before you can comment on or make changes to this bug.